package com.bocloud.nms.model.veeam.job;

import java.util.List;

public class AdvancedSmtpOptionModel {

    private Integer port;
    private Integer timeoutMs;
    private Boolean SSLEnabled;
    private Boolean authRequred;
    private List credentialsId;

    public Integer getPort() {
        return port;
    }

    public void setPort(Integer port) {
        this.port = port;
    }

    public Integer getTimeoutMs() {
        return timeoutMs;
    }

    public void setTimeoutMs(Integer timeoutMs) {
        this.timeoutMs = timeoutMs;
    }

    public Boolean getSSLEnabled() {
        return SSLEnabled;
    }

    public void setSSLEnabled(Boolean SSLEnabled) {
        this.SSLEnabled = SSLEnabled;
    }

    public Boolean getAuthRequred() {
        return authRequred;
    }

    public void setAuthRequred(Boolean authRequred) {
        this.authRequred = authRequred;
    }

    public List getCredentialsId() {
        return credentialsId;
    }

    public void setCredentialsId(List credentialsId) {
        this.credentialsId = credentialsId;
    }

    @Override
    public String toString() {
        return "AdvancedSmtpOptionModel{" +
                "port=" + port +
                ", timeoutMs=" + timeoutMs +
                ", SSLEnabled=" + SSLEnabled +
                ", authRequred=" + authRequred +
                ", credentialsId=" + credentialsId +
                '}';
    }
}
